Source: apipkg
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
 python3-hatch-vcs,
 python3-py <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.6.2
Section: python
Homepage: https://github.com/pytest-dev/apipkg
Vcs-Git: https://salsa.debian.org/python-team/packages/apipkg.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/apipkg
Rules-Requires-Root: no

Package: python3-apipkg
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends}
Description: namespace control and lazy-import mechanism for Python 3
 With apipkg you can control the exported namespace of a Python package and
 greatly reduce the number of imports for your users. It is a small pure
 Python module that works on virtually all Python versions, including
 CPython3.x, Jython and PyPy. It co-operates well with Python's
 help() system, custom importers (PEP302) and common command line completion
 tools.
 .
 This package contains apipkg for Python 3.
